Subject: Rare Beekeeping Books F.S.

From: [email-masked] (Keith Moore)
Date: 28 Mar 1995 18:34:14 GMT

I have two rare beekeeping books for sale:

1. Signed first edition of The Honey Bee: A guide for Beekeepers  by V.R. 
Vickery, 1991. 240 pp, exc. condition. This is a very good general 
reference for north american beekeepers, retails for about $35 
(unsigned), I'll take US $20.

2.Beekeeping by E.F. Phillips, 1915 first edition. 457 pages, very good 
condition. I was asking US $ 50.00, but I'll take US $35.00. This book is 
a classic period reference.

Both prices are w/o shipping costs added.

Keith Moore